#include <bits/stdc++.h>
using namespace std;

int main(){
	int n;
	cin>>n;
	vector<int>a;
	vector<int>b;
	for (int i=0;i<2*n;i++){
		if(i%2==0)a.push_back(i+1);
		else b.push_back(i+1);
	}
	
	
	for (int i=0;i<n/2;i++){
		int broj=b[n-i-1];
		b[n-i-1]=b[i];
		b[i]=broj;
	}
	
	for (int i=0;i<n;i++)cout<<a[i]<<" ";
	cout<<endl;
	for (int i=0;i<n;i++)cout<<b[i]<<" ";
	
	
}